<template>
  <!--Action 查看Tab的实现-->
  <component :is="currentComponent"
             ref="uiViewRef"
             key="ViewTab"
             :btmType="paramVOS.type"
             :context="paramVOS.context"
             :inDialog="true"
             :canEdit="false"
             actionType="view"
             :sourceData="sourceData"
             :dataStore="dataStore"
             :paramVOS="paramVOS"></component>
</template>

<script>
import {validatenull} from "@/util/validate";
import { getStore ,removeStore} from "@/util/store.js";

export default {
  name: "ViewTab",
  components:{},
  data(){
    return {
      sourceData:{},
      dataStore:[],
      paramVOS:{},
      currentComponent: null,
    }
  },
  computed:{
  },
  created() {
    let config = {};
    if (!validatenull(this.$store.state.viewtabparams)) {
      config = this.$store.state.viewtabparams;
    } else {
      config = getStore({ name:'viewtabparams'});
    }
    if(config) {
      this.paramVOS = config.options.paramVOS;
      this.sourceData = this.paramVOS.usesourcedata == "true" ? config.options.dataStore[0] : config.options.sourceData;
      this.dataStore = this.paramVOS.usesourcedata == "true" ? [] : config.options.dataStore;
    }
  },
  mounted() {
    this.loadCompoent();
  },
  beforeDestroy() {
    //removeStore({ name:'viewtabparams',  type:'session'});
  },
  methods: {
    loadCompoent(){
      // 动态导入组件
      import(`@/views/${this.paramVOS.component}.vue`).then((module) => {
        // 成功导入后，将组件注册到Vue实例中
        this.currentComponent = module.default;
      }).catch((error) => {
        // 处理导入失败的情况
        console.log('组件加载失败:', error);
      });
    }
  },

}
</script>

<style scoped>

</style>
